

arch/i386/kernel/acpi/boot.c: In function `acpi_register_gsi':
arch/i386/kernel/acpi/boot.c:475: error: void value not ignored as it ought to be

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/mpparse.c |   13 +++++++------
 25-akpm/include/asm-x86_64/mpspec.h  |    2 +-
 2 files changed, 8 insertions(+), 7 deletions(-)

diff -puN arch/x86_64/kernel/mpparse.c~incorrect-pci-interrupt-assignment-on-es7000-for-platform-gsi-fix arch/x86_64/kernel/mpparse.c
--- 25/arch/x86_64/kernel/mpparse.c~incorrect-pci-interrupt-assignment-on-es7000-for-platform-gsi-fix	2004-09-14 22:07:54.679749032 -0700
+++ 25-akpm/arch/x86_64/kernel/mpparse.c	2004-09-14 22:13:00.354279440 -0700
@@ -895,25 +895,25 @@ void __init mp_config_acpi_legacy_irqs (
 	return;
 }
 
-void mp_register_gsi (u32 gsi, int edge_level, int active_high_low)
+int mp_register_gsi(u32 gsi, int edge_level, int active_high_low)
 {
 	int			ioapic = -1;
 	int			ioapic_pin = 0;
 	int			idx, bit = 0;
 
 	if (acpi_irq_model != ACPI_IRQ_MODEL_IOAPIC)
-		return;
+		return gsi;
 
 #ifdef CONFIG_ACPI_BUS
 	/* Don't set up the ACPI SCI because it's already set up */
 	if (acpi_fadt.sci_int == gsi)
-		return;
+		return gsi;
 #endif
 
 	ioapic = mp_find_ioapic(gsi);
 	if (ioapic < 0) {
 		printk(KERN_WARNING "No IOAPIC for GSI %u\n", gsi);
-		return;
+		return gsi;
 	}
 
 	ioapic_pin = gsi - mp_ioapic_routing[ioapic].gsi_start;
@@ -929,12 +929,12 @@ void mp_register_gsi (u32 gsi, int edge_
 		printk(KERN_ERR "Invalid reference to IOAPIC pin "
 			"%d-%d\n", mp_ioapic_routing[ioapic].apic_id, 
 			ioapic_pin);
-		return;
+		return gsi;
 	}
 	if ((1<<bit) & mp_ioapic_routing[ioapic].pin_programmed[idx]) {
 		Dprintk(KERN_DEBUG "Pin %d-%d already programmed\n",
 			mp_ioapic_routing[ioapic].apic_id, ioapic_pin);
-		return;
+		return gsi;
 	}
 
 	mp_ioapic_routing[ioapic].pin_programmed[idx] |= (1<<bit);
@@ -942,6 +942,7 @@ void mp_register_gsi (u32 gsi, int edge_
 	io_apic_set_pci_routing(ioapic, ioapic_pin, gsi,
 		edge_level == ACPI_EDGE_SENSITIVE ? 0 : 1,
 		active_high_low == ACPI_ACTIVE_HIGH ? 0 : 1);
+	return gsi;
 }
 
 #endif /*CONFIG_X86_IO_APIC*/
diff -puN include/asm-x86_64/mpspec.h~incorrect-pci-interrupt-assignment-on-es7000-for-platform-gsi-fix include/asm-x86_64/mpspec.h
--- 25/include/asm-x86_64/mpspec.h~incorrect-pci-interrupt-assignment-on-es7000-for-platform-gsi-fix	2004-09-14 22:08:42.621460784 -0700
+++ 25-akpm/include/asm-x86_64/mpspec.h	2004-09-14 22:08:51.130167264 -0700
@@ -188,7 +188,7 @@ extern void mp_register_lapic_address (u
 extern void mp_register_ioapic (u8 id, u32 address, u32 gsi_base);
 extern void mp_override_legacy_irq (u8 bus_irq, u8 polarity, u8 trigger, u32 gsi);
 extern void mp_config_acpi_legacy_irqs (void);
-extern void mp_register_gsi (u32 gsi, int edge_level, int active_high_low);
+extern int mp_register_gsi (u32 gsi, int edge_level, int active_high_low);
 #endif /*CONFIG_X86_IO_APIC*/
 #endif
 
_
